<?php
$routes->group(
	'cadastro-de-categorias-dos-usuarios', 
	[
		'namespace' => 'Modules\Cms_usuario_categorias\Controllers', 
		'filter' 		=> 'CheckAccessPermission'
	], 
	function ($routes) {
		$routes->get('/', 'Cms_usuario_categorias::listagem');

		$routes->match(['get', 'post'], 'novo-cadastro', 'Cms_usuario_categorias::cadastrar');
		$routes->post('cadastrando', 'Cms_usuario_categorias::cadastrando');
		
		$routes->match(['get', 'post'], 'alterando-cadastro/(:any)', 'Cms_usuario_categorias::alterar/$1');
		$routes->post('atualizando-cadastro/(:any)', 'Cms_usuario_categorias::alterando/$1');
		
		$routes->get('deletando-cadastro/(:any)', 'Cms_usuario_categorias::deletar/$1');
	}
);